local AddonName, DARTProperties = ...

local function DART_gsub(text, variable, value)
	if (value) then
		text = string.gsub(text, variable, value);
	elseif (string.find(text, " "..variable)) then
		text = string.gsub(text, " "..variable, "");
	else
		text = string.gsub(text, variable, "");
	end
	return text;
end

DART_VARIABLE_FUNCTIONS = {
	-- Color Code
	["$co"] = { func = function(text, unit, self)
			text = DART_gsub(text, '$co', '|c');
			return text;
		end,
		events = {} },

	-- Default textbox colour
	["$cs"] = { func = function(text, unit, self)
			text = DART_gsub(text, '$cs', '|r');
			return text;
		end,
		events = {} },
}
